complexType "IndexAdjustmentEvents"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | indexModification, indexCancellation, indexDisruption
</...>

Content Model Elements (3):

  indexCancellation, indexDisruption, indexModification

All Direct / Indirect Based Elements (1):

  indexAdjustmentEvents

Known Usage Locations

- As direct type of elements (1):
  indexAdjustmentEvents

Annotation
Defines the specification of the consequences of Index Events as defined by the 2002 ISDA Equity Derivatives Definitions.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="IndexAdjustmentEvents"> <xsd:sequence> <xsd:element name="indexModification" type="IndexEventConsequenceEnum"/> <xsd:element name="indexCancellation" type="IndexEventConsequenceEnum"/> <xsd:element name="indexDisruption" type="IndexEventConsequenceEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
indexCancellation

  Type: | IndexEventConsequenceEnum, simple content

  Consequence of index cancellation.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationAgentAdjustment" | - | Calculation Agent Adjustment See: http://www.FpML.org
  "NegotiatedCloseOut" | - | Negotiated Close Out See: http://www.FpML.org
  "CancellationAndPayment" | - | Cancellation and Payment See: http://www.FpML.org
  "RelatedExchange" | - | Related Exchange Adjustment See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="indexCancellation" type="IndexEventConsequenceEnum"/>

indexDisruption

  Type: | IndexEventConsequenceEnum, simple content

  Consequence of index disruption.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationAgentAdjustment" | - | Calculation Agent Adjustment See: http://www.FpML.org
  "NegotiatedCloseOut" | - | Negotiated Close Out See: http://www.FpML.org
  "CancellationAndPayment" | - | Cancellation and Payment See: http://www.FpML.org
  "RelatedExchange" | - | Related Exchange Adjustment See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="indexDisruption" type="IndexEventConsequenceEnum"/>

indexModification

  Type: | IndexEventConsequenceEnum, simple content

  Consequence of index modification.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationAgentAdjustment" | - | Calculation Agent Adjustment See: http://www.FpML.org
  "NegotiatedCloseOut" | - | Negotiated Close Out See: http://www.FpML.org
  "CancellationAndPayment" | - | Cancellation and Payment See: http://www.FpML.org
  "RelatedExchange" | - | Related Exchange Adjustment See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="indexModification" type="IndexEventConsequenceEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.